javax.swing

## Enum SwingWorker.StateValue

- java.lang.Object
- - java.lang.Enum<SwingWorker.StateValue>
  - - javax.swing.SwingWorker.StateValue

All Implemented Interfaces:
  Serializable, Comparable<SwingWorker.StateValue>

Enclosing class:
  SwingWorker<T,V>

    public static enum SwingWorker.StateValue
    extends Enum<SwingWorker.StateValue>

Values for the `state` bound property.

Since:
  1.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DONE` `SwingWorker` is `DONE` after `doInBackground` method is finished.
`PENDING` Initial `SwingWorker` state.
`STARTED` `SwingWorker` is `STARTED` before invoking `doInBackground`.

### Method Summary

Methods
`static SwingWorker.StateValue` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SwingWorker.StateValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PENDING

    public static final SwingWorker.StateValue PENDING

Initial `SwingWorker` state.

#### STARTED

    public static final SwingWorker.StateValue STARTED

`SwingWorker` is `STARTED` before invoking `doInBackground`.

#### DONE

    public static final SwingWorker.StateValue DONE

`SwingWorker` is `DONE` after `doInBackground` method is finished.

### Method Detail

#### values

    public static SwingWorker.StateValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SwingWorker.StateValue c : SwingWorker.StateValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SwingWorker.StateValue valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.